import { Deferred } from '@s-libs/js-core';
import { ResolveType } from '../interfaces';
/**
 * A mock method call that was made and is ready to be answered. This interface allows access to the underlying <code>jasmine.CallInfo</code>, and allows resolving or rejecting the asynchronous call's result.
 */
export declare class TestCall<F extends jasmine.Func> {
    private deferred;
    private autoTick;
    /** The underlying jasmine call object */
    callInfo: jasmine.CallInfo<F>;
    constructor(deferred: Deferred<ResolveType<F>>, autoTick: boolean);
    /**
     * Resolve the call with the given value.
     */
    flush(value: ResolveType<F>): void;
    /**
     * Reject the call with the given reason.
     */
    error(reason: unknown): void;
    private maybeTick;
}
